#ifndef _GRID_H
#define _GRID_H

#include <fstream>
using namespace std;

#include "Tile.h"

class Grid
{
public:

	int dx, dy;

	int *Tile_IDs;
	int *Tile_Rots;
	
	Grid(int x, int y);
	
	void setTileID(int value, int x, int y);
	int getTileID(int x, int y);
	void setTileRot(int value, int x, int y);
	int getTileRot(int x, int y);
};

Grid::Grid(int x, int y)
{
	dx=x; dy=y;
	Tile_IDs = new int[dx*dy];
	Tile_Rots = new int[dx*dy];
}

void Grid::setTileID(int value, int x, int y)
{
	Tile_IDs[y*dx+x] = value;
}

int Grid::getTileID(int x, int y)
{
	return Tile_IDs[y*dx+x];
}

void Grid::setTileRot(int value, int x, int y)
{
	Tile_Rots[y*dx+x] = value;
}

int Grid::getTileRot(int x, int y)
{
	return Tile_Rots[y*dx+x];
}

#endif