#ifndef _TILE_H
#define _TILE_H

#include "MilkshapeModel.h"

class Tile
{
public:

	MilkshapeModel *tModel;

	Tile();

	bool LoadData(char *filename);
	void Draw();
	void LoadTextures();
};

Tile::Tile()
{
	tModel = new MilkshapeModel();
}

bool Tile::LoadData(char *filename)
{
	if(tModel->loadModelData(filename))
		return true;
	else
		return false;
}

void Tile::Draw()
{
	tModel->draw();
}

void Tile::LoadTextures()
{
	tModel->reloadTextures();
}

#endif